%ifndef _build_display
%def_without test
%endif
%define module_name Tk-PerlMethodList
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Class/Inspector.pm) perl(Devel/Peek.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(MRO/Compat.pm) perl(Tk.pm) perl(Tk/LabEntry.pm) perl(Tk/NumEntry.pm) perl(Tk/ROText.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: query the Symbol-table for methods (subroutines) defined in a class (package) and its parents.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LA/LAMPRECHT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Tk::PerlMethodList is a Tk::Toplevel-derived widget.

The window contains entry fields for a classname and a regex. The list below displays the subroutine-names in the package(s) of the given classname and its parent classes. The list displays the sub-names present in the the symbol-table. In case of imported subs, the last field of a row contains the name of the aliased sub as reported by DevelPeek::CvGV. Tk::PerlMethodList will not show subs which can be - but have not yet been autoloaded. It will show declared subs though. The 'Filter' entry takes a regex to filter the returned List of sub/methodnames.

If the file containing a subroutine definition can be found in %%INC, a green mark will be displayed at the beginning of the line. The sourcecode will be displayed by clicking on the subs list-entry.


Method list and source window have Control-plus and Control-minus bindings to change fontsize.




%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

